## GcrSshAskpass GcrSshAskpass — Allows an ssh command to callback for a password |

## Functions

GcrSshAskpass * | gcr_ssh_askpass_new ()
GTlsInteraction * | gcr_ssh_askpass_get_interaction ()
void | gcr_ssh_askpass_child_setup ()

## Types and Values

| GcrSshAskpass

## Description

When used as the setup function while spawning an ssh command like ssh-add or ssh, this allows callbacks for passwords on the provided interaction.

## Functions

### gcr_ssh_askpass_new ()

    GcrSshAskpass *
    gcr_ssh_askpass_new (GTlsInteraction *interaction);

Create a new GcrSshAskpass object which can be used to spawn an ssh command and prompt for any necessary passwords.

Use the `gcr_ssh_askpass_child_setup()` function as a callback with `g_spawn_sync()`, `g_spawn_async()` or `g_spawn_async_with_pipes()`.

#### Parameters

interaction | the interaction to use for prompting paswords |

#### Returns

A new GcrSshAskpass object.

[transfer full]

### gcr_ssh_askpass_get_interaction ()

    GTlsInteraction *
    gcr_ssh_askpass_get_interaction (GcrSshAskpass *self);

Get the interaction associated with this object.

#### Parameters

self | a GcrSshAskpass object |

#### Returns

the interaction.

[transfer none]

### gcr_ssh_askpass_child_setup ()

    void
    gcr_ssh_askpass_child_setup (gpointer askpass);

Use this function as a callback setup function passed to `g_spawn_sync()`, `g_spawn_async()`, `g_spawn_async_with_pipes()`.

#### Parameters

askpass | a GcrSshAskpass object |

## Types and Values

### GcrSshAskpass

    typedef struct _GcrSshAskpass GcrSshAskpass;

An object containing the password prompting state.